:root{
    --default-main-color: #FFD12F;
    --default-gray-color: #18171C;
    --default-dark-gray-color: #0C0A11;
}
body{
    position: relative;
    margin: 0 auto;
    background: var(--default-dark-gray-color);
    display: flex;
    flex-direction: column;
    font-family: 'Inter';
    font-weight: 400;
    min-height: 2000px;
    color: white;
}
main{
    position: relative;
    z-index: 2;
}
html{
    scroll-behavior: smooth;
}
a{
    color: white;
    text-decoration: none;
}
p{
    margin: 0;
    padding: 0;
}
img{
    pointer-events: none;
}
h2{
    margin: 0;
}
button{
    cursor: pointer;
    font-family: 'Inter';
    font-weight: 500;
}
section{
    position: relative;
    padding-top: 100px;
    padding-bottom: 100px;
}
.section-title-default{
    font-size: 32px;
    font-weight: 600;
}
::-webkit-scrollbar {
    width: 7px;
  }
::-webkit-scrollbar-track {
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background: var(--default-main-color);
    border-radius: 10px;
}
.wrapper{
    overflow: hidden;
    width: 100%;
    position: relative;
}
.content{
    max-width: 1200px;
    margin: 0 auto;
}
.contacts-hat{
    background: var(--default-gray-color);
    padding: 12px 0px;
    position: absolute;
    z-index: 800;
    width: 100%;
}
.contacts-hat-container{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 14px;
}
.contants-hat-items{
    display: flex;
    align-items: center;
    gap: 32px;
    font-family: 'Roboto';
    font-weight: 400;
    font-size: 14px;
}
.contacts-hat-item{
    display: flex;
    gap: 8px;
    align-items: center;
}
.social-media-icons{
    display: flex;
    align-items: center;
    gap: 24px;
}
.header{
    transition: 0.3s;
    position: sticky;
    top: 70px;
    z-index: 900;
    max-height: 0px;
}
.header-container{
    border-radius: 16px;
    padding: 12px 16px;
    background: #3434344D;
    backdrop-filter: blur(8px);
    display: flex;
    justify-content: space-between;
}
.banner-section{
    height: 75svh;
    min-height: 700px;
    position: relative;
    overflow: hidden;
    padding-top: 0px;
}
.banner-bg-img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.1;
    filter: blur(6px);
}
.header-container nav{
    display: flex;
    align-items: center;
    gap: 32px;
}
.nav-item{
    position: relative;
    color: white;
    transition: 0.2s;
    overflow: hidden;
    font-size: 14px;
}
.nav-item-underline{
    position: absolute;
    height: 1px;
    bottom: 0;
    left: -100%;
    width: 100%;
    background: var(--default-main-color);
    transition: 0.2s;
}
.nav-item:hover{
    color: var(--default-main-color);
}
.nav-item:hover .nav-item-underline{
    left: -40%;
}
.logo{
    display: flex;
    flex-direction: column;
    align-items: baseline;
    text-transform: uppercase;
}
.logo-name{
    font-size: 27.5px;
    font-family: 'Oswald';
    font-weight: 700;
    color: var(--default-main-color);
    line-height: 35px;
}
.underlogo-text{
    font-family: 'Manrope';
    font-size: 10.6px;
    font-weight: 800;
}
.button-default{
    font-size: 18px;
    border: none;
    background: var(--default-main-color);
    color: var(--default-gray-color);
    border-radius: 8px;
    padding: 12px 32px;
    
}
.header-container nav .button-default{
    font-size: 14px;
    padding: 8px 16px;
}
.banner-section-container{
    display: flex;
    align-items: center;
    height: 100%;
}
.main-title{
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 32px;
    align-items: baseline;
    z-index: 2;
}
.t-1{
    font-weight: 600;
    font-size: 56px;
}
.t-2{
    font-weight: 500;
    font-size: 28px;
    width: 50%;
    line-height: 39px;
}
.banner-section-content .button-default{
    margin-top: 32px;
    position: relative;
    z-index: 2;
}
.about-section{
    display: flex;
    flex-direction: column;
    gap: 56px;
}
.about-section-block{
    display: flex;
    gap: 32px;
    justify-content: space-between;
}
.about-section-text-content{
    display: flex;
    flex-direction: column;
    gap: 24px;
    align-items: baseline;
    position: relative;
    z-index: 1;
}
.about-section-text-content:nth-child(1){
    width: 50%;
}
.about-section-text-content:nth-child(2){
    width: 60%;
}
.about-section-text-content p{
    font-size: 24px;
}
.about-section-text-content .button-default{
    margin-top: 8px;
    background: none;
    border: 1px solid var(--default-main-color);
    color: var(--default-main-color);
    transition: 0.2s;
}
.about-section-text-content .button-default:hover{
    background: var(--default-main-color);
    color: var(--default-gray-color);
}
.about-section-block:nth-child(1) img{
    width: 50%;
    border-radius: 24px;
    object-fit: cover;
}
.about-section-block:nth-child(2) img{
    width: 40%;
    border-radius: 24px;
    object-fit: cover;
}
.services-section{
    background: var(--default-gray-color);
}
.services-section-container{
    display: flex;
    flex-direction: column;
    gap: 32px;
    margin-top: 50px;
}
.services-row{
    display: flex;
    gap: 24px;
}
.services-row-item{
    width: 100%;
    padding: 24px 24px;
    background: var(--default-dark-gray-color);
    border-radius: 24px;
    border: none;
    color: white;
    font-size: 24px;
    text-align: unset;
    font-weight: 400;
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-height: 106px;
    transition: 0.2s;
}
.services-row-item:hover{
    background: var(--default-main-color);
    color: var(--default-gray-color);
}
.services-row-item:hover svg path{
    stroke: var(--default-gray-color);
}
.services-row-item svg{
    min-width: 32px;
}
.steps-container{
    display: flex;
    flex-direction: column;
    margin-top: 50px;
}
.step{
    display: flex;
    flex-direction: column;
    padding-top: 24px;
    padding-bottom: 24px;
    border-bottom: 1px solid rgba(128, 128, 128, 0.388);
}
.step button{
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: none;
    background: none;
    padding-left: 0;
    padding-right: 0;
    color: white;
}
.step button svg{
    min-width: 12px;
    transition: 0.2s;
}
.step-num{
    border: 1px solid var(--default-main-color);
    border-radius: 100%;
    min-width: 48px;
    min-height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--default-main-color);
    font-size: 32px;
    font-weight: 300;
}
.button-step-num-text{
    display: flex;
    align-items: center;
    gap: 24px;
    font-size: 24px;
}
.button-step-num-text span{
    font-weight: 600;
    text-align: start;
}
.answer{
    overflow: hidden;
    max-height: 0px;
    transition: 0.3s;
    color: var(--default-main-color);
    font-weight: 500;
    font-size: 18px;
    padding-left: 72px;
}
.answer p{
    margin-top: 16px;
    margin-bottom: 16px;
}
.hold-question-container{
    padding: 50px;
    border-radius: 24px;
    background: var(--default-main-color);
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.hold-question-section{
    padding: 0;
}
.hold-question-container .button-default{
    background: var(--default-gray-color);
    color: var(--default-main-color);
    padding: 15px 32px;
}
.hold-question-container h2{
    font-size: 36px;
    width: 70%;
    font-weight: 600;
    color: var(--default-gray-color);
}
.contacts-container{
    margin-top: 50px;
    display: flex;
    gap: 8px;
}
.contacts-content{
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 50%;
    font-size: 24px;
}
.contacts-content-item{
    display: flex;
    align-items: center;
    gap: 16px;
}
.contacts-content-item svg{
    min-width: 32px;
}
.contacts-phones{
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.check-map-link{
    position: relative;
    width: 50%;
    border-radius: 24px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}
.check-map-link img{
    position: absolute;
    width: 120%;
    height: 100%;
    filter: grayscale(100%) blur(1px);
    opacity: 0.5;
    top: 0;
    left: -20px;
    object-fit: cover;
    z-index: 0;
    transition: 0.2s;
}
.check-map-link div{
    display: flex;
    align-items: center;
    gap: 16px;
    font-size: 24px;
    color: var(--default-main-color);
    z-index: 1;
}
.check-map-link:hover img{
    transform: scale(1.1);
}
footer{
    background: var(--default-gray-color);
    border-radius: 16px;
    margin-bottom: 50px !important;
}
.footer-container{
    padding: 24px 32px;
    display: flex;
    flex-direction: column;
    gap: 24px;
}
.footer-block{
    display: flex;
    justify-content: space-between;
    gap: 16px;
}
.line{
    width: 100%;
    height: 1px;
    background: rgba(128, 128, 128, 0.466);
}
.footer-items-first{
    display: flex;
    align-items: center;
    font-size: 15px;
}
.footer-items-first .button-default{
    font-size: 15px;
}
.footer-items-second{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 16px;
}
.footer-items-second nav{
    display: flex;
    align-items: center;
    gap: 20px;
    flex-wrap: wrap;
}
.footer-phones{
    display: flex;
    flex-direction: column;
    gap: 16px;
    align-items: center;
}
.footer-phones a{
    font-size: 24px;
    font-weight: 600;
}
.footer-items-second:nth-child(2){
    align-items: end;
}
.locations-container{
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-top: 50px;
}
.location-item{
    padding: 20px;
    background: var(--default-gray-color);
    border-radius: 16px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 10px;
}
.location-item span{
    font-size: 24px;
    width: 70%;
}
.bordered-button{
    background: none;
    border: 1px solid var(--default-main-color);
    color: var(--default-main-color);
    transition: 0.2s;
    cursor: pointer;
    text-align: center;
}
.bordered-button:hover{
    background: var(--default-main-color);
    color: #0C0A11;
}
.additional-services-container{
    display: flex;
    gap: 24px;
    margin-top: 50px;
}
.additional-services-item{
    width: 100%;
    min-height: 280px;
    background: var(--default-main-color);
    border-radius: 16px;
    padding: 16px;
    color: #0C0A11;
    display: flex;
    flex-direction: column;
    align-items: baseline;
    justify-content: space-between;
    gap: 16px;
}
.additional-services-item span{
    font-size: 22px;
    font-weight: 600;
}
.additional-services-item img{
    width: 150px;
}
.button-black{
    background: black;
    color: var(--default-main-color);
    display: inline-block;
}
.car-bg{
    position: absolute;
    width: 50%;
    right: 10%;
    top: 40%;
    z-index: 0;
}
::-moz-selection {
    color: var(--default-dark-gray-color);
    background: var(--default-main-color);
}
::selection {
    color: var(--default-dark-gray-color);
    background: var(--default-main-color);
}
.light-circle{
    width: 800px;
    height: 800px;
    background: radial-gradient(50% 50% at 50% 50%, var(--default-main-color) 0%, rgba(255, 209, 47, 0) 100%);
    position: absolute;
    z-index: -1;
    opacity: 0.2;
    pointer-events: none;
}
.light-circle-1{
    left: -40%;
    top: -20%;
}
.light-circle-2{
    right: -50%;
    bottom: -40%;
}
.light-circle-3{
    left: -40%;
    top: -100%;
}
.dark-bg{
    position: fixed;
    width: 100%;
    height: 100%;
    cursor: pointer;
    z-index: 899;
    transition: 0.3s;
    pointer-events: none;
}
.activate-dark-background{
    background: rgba(0, 0, 0, 0.312);
    backdrop-filter: blur(4px);
    pointer-events: all;
}
@media (max-width: 1280px){
    .content{
        margin: 0 18px;
    }
}
@media (max-width: 1100px){
    .about-section-text-content p{
        font-size: 18px;
    }
    .section-title-default{
        font-size: 28px;
    }
    .t-1{
        font-size: 44px;
        width: 90%;
    }
    .t-2{
        font-size: 22px;
        line-height: normal;
    }
    .banner-section{
        height: 50svh;
    }
    .services-row-item{
        font-size: 20px;
    }
    .logo-name{
        font-size: 22.5px;
    }
    .hold-question-container h2{
        font-size: 28px;
    }
    .contacts-content{
        font-size: 18px;
    }
    .button-step-num-text{
        font-size: 20px;
    }
    .any-q{
        display: none;
    }
}
@media (max-width: 990px){
    .header-container nav{
        gap: 16px;
    }
    .services-row-item{
        padding: 24px 32px;
        gap: 8px;
    }
    .additional-services-item span{
        font-size: 18px;
    }
}
@media (max-width: 950px){
    .location-item span{
        width: auto;
    }
    .location-item{
        flex-direction: column;
        align-items: normal;
        gap: 24px;
    }
}
@media (max-width: 910px){
    .header{
        display: none;
    }
    .contacts-hat{
        display: none;
    }
    .t-2{
        width: 70%;
    }
    .banner-section{
        min-height: 500px;
    }
}
@media (max-width: 890px){
    .footer-items-first{
        flex-direction: column;
        align-items: unset;
        gap: 16px !important;
    }
    .additional-services-container{
        flex-direction: column;
    }
    .additional-services-item span{
        font-size: 22px;
    }
    .additional-services-item{
        width: auto;
    }
    .car-bg{
        right: 0;
    }
}
@media (max-width: 810px){
    .car-bg{
        top: 50%;
        width: 70%;
    }
}
@media (max-width: 800px){
    .about-section-block{
        position: relative;
    }
    .about-section-block img{
        display: none;
    }
    .about-section-text-content{
        width: 100% !important;
    }
    .services-row{
        flex-direction: column;
    }
    .hold-question-container{
        padding: 30px 30px;
        gap: 8px;
    }
    .hold-question-container h2{
        font-size: 24px;
        width: unset;
    }
    .contacts-container{
        flex-direction: column;
        gap: 24px;
    }
    .contacts-content{
        width: unset;
    }
    .check-map-link{
        width: unset;
        min-height: 200px;
    }
}
@media (max-width: 750px){
    .location-item span{
        font-size: 18px;
    }
    .t-1{
        font-size: 32px;
    }
    .t-2{
        font-size: 20px;
        width: 100%;
    }
    .main-title{
        gap: 20px;
    }
    .button-default{
        font-size: 16px !important;
    }
}
@media (max-width: 710px){
    .footer-block{
        flex-direction: column;
    }
    .footer-items-second:nth-child(2){
        align-items: baseline;
    }
}
@media (max-width: 600px){
    .hold-question-container{
        flex-direction: column;
        align-items: unset;
        gap: 24px;
    }
}
@media (max-width: 570px){
    .car-bg{
        top: 60%;
        right: -5%;
        width: 100%;
    }
}
@media (max-width: 460px){
    .additional-services-item span{
        font-size: 18px;
    }
    .additional-services-item{
        min-height: 200px;
    }
    .about-section-text-content{
        align-items: unset;
    }
    .contacts-content{
        font-size: 16px;
        gap: 24px;
    }
    .check-map-link div{
        font-size: 18px;
    }
    .contacts-content-item svg{
        min-width: 26px;
        width: 26px;
    }
    .t-1{
        font-size: 28px;
        width: 100%;
    }
    .hold-question-container h2{
        font-size: 20px;
    }
    .hold-question-container{
        padding: 24px 32px;
    }
    section{
        padding-top: 40px;
        padding-bottom: 40px;
    }
    .services-section-container{
        gap: 24px;
    }
    .services-row-item{
        font-size: 16px;
        min-height: unset;
    }
    .button-step-num-text{
        font-size: 16px;
        gap: 16px;
    }
    .step-num{
        min-width: 32px;
        min-height: 32px;
        font-size: 24px;
    }
    .answer{
        padding-left: 0px;
    }
    .answer p{
        font-size: 16px;
    }
    .fadr{
        display: none !important;
    }
    .about-section-text-content p{
        font-size: 16px;
    }
}
@media (max-width: 420px){
    .banner-section-content{
        display: flex;
        flex-direction: column;

    }
    .pf{
        display: none;
    }
    .footer-items-second nav{
        flex-direction: column;
        align-items: baseline;
    }
}